Skip to main content
GET
/
api
/
v1
/
agent
/
{agentId}
/
run
/
{runId}
/
files
Get all files for agent run
curl --request GET \
  --url https://dashboard.sequentum.com/api/v1/agent/{agentId}/run/{runId}/files \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": 123,
    "regionId": 123,
    "fileType": 1,
    "name": "<string>",
    "fileSize": 123,
    "created": "2023-11-07T05:31:56Z"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.sequentum.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API Key authorization header. Example: "Authorization: ApiKey {your-api-key}"

Authorization
string
header
required

OAuth 2.0 Bearer token. Example: "Authorization: Bearer {access-token}"

Path Parameters

agentId
integer<int32>
required

The ID of the agent/config

runId
integer<int64>
required

The ID of the run

Response

OK

id
integer<int64>
regionId
integer<int32> | null
fileType
enum<integer>
Available options:
1,
2,
3,
4,
5,
6,
7
name
string | null
fileSize
integer<int64>
created
string<date-time>